Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaEntityMap

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaEntityMap

All Implemented Interfaces:
  XMLSerializable

    public class JpaEntityMap

extends Object
implements XMLSerializable

An object that stores JPA mapping information. This is a root object in the hierarchy defined in the orm_1_0.xsd schema.

Author:
  Andrus Adamchik

Field Summary
`protected AccessType` | `access`
`protected String` | `catalog`
`protected String` | `description`
`protected Collection<JpaEmbeddable>` | `embeddables`
`protected Collection<JpaEntity>` | `entities`
`protected Collection<JpaMappedSuperclass>` | `mappedSuperclasses`
`protected Collection<JpaNamedNativeQuery>` | `namedNativeQueries`
`protected Collection<JpaNamedQuery>` | `namedQueries`
`protected String` | `packageName`
`protected JpaPersistenceUnitMetadata` | `persistenceUnitMetadata`
`protected String` | `schema`
`protected Collection<JpaSequenceGenerator>` | `sequenceGenerators`
`protected Collection<JpaSqlResultSetMapping>` | `sqlResultSetMappings`
`protected Collection<JpaTableGenerator>` | `tableGenerators`
`protected String` | `version`

Constructor Summary
`JpaEntityMap()`

Method Summary
`JpaEmbeddable` | `embeddableForClass(Class<?> embeddableClass)` Returns a JpaEmbeddable describing a given embeddable class.
`JpaEmbeddable` | `embeddableForClass(String embeddableClassName)` Returns a JpaEmbeddable describing a given embeddable class.
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`JpaEntity` | `entityForClass(Class<?> entityClass)` Returns a JpaEntity describing a given persistent class.
`JpaEntity` | `entityForClass(String entityClassName)` Returns a JpaEntity describing a given persistent class.
`AccessType` | `getAccess()`
`String` | `getCatalog()`
`String` | `getDescription()`
`Collection<JpaEmbeddable>` | `getEmbeddables()`
`Collection<JpaEntity>` | `getEntities()`
`JpaEntity` | `getEntity(String className)`
`JpaManagedClass` | `getManagedClass(String className)` Returns an existing managed class, or null if no match is found.
`Map<String,JpaClassDescriptor>` | `getManagedClasses()` Compiles and returns a map of managed class descriptors that includes descriptors for entities, managed superclasses and embeddables.
`Collection<JpaMappedSuperclass>` | `getMappedSuperclasses()`
`Collection<JpaNamedNativeQuery>` | `getNamedNativeQueries()`
`Collection<JpaNamedQuery>` | `getNamedQueries()`
`String` | `getPackageName()`
`JpaPersistenceUnitMetadata` | `getPersistenceUnitMetadata()`
`String` | `getSchema()`
`Collection<JpaSequenceGenerator>` | `getSequenceGenerators()`
`Collection<JpaSqlResultSetMapping>` | `getSqlResultSetMappings()`
`Collection<JpaTableGenerator>` | `getTableGenerators()`
`String` | `getVersion()`
`void` | `setAccess(AccessType access)`
`void` | `setCatalog(String catalog)`
`void` | `setDescription(String description)`
`void` | `setPackageName(String packageProperty)`
`void` | `setPersistenceUnitMetadata(JpaPersistenceUnitMetadata persistenceUnitMetadata)`
`void` | `setSchema(String schema)`
`void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    protected String version

### description

    protected String description

### packageName

    protected String packageName

### catalog

    protected String catalog

### schema

    protected String schema

### access

    protected AccessType access

### persistenceUnitMetadata

    protected JpaPersistenceUnitMetadata persistenceUnitMetadata

### entities

    protected Collection<JpaEntity> entities

### embeddables

    protected Collection<JpaEmbeddable> embeddables

### mappedSuperclasses

    protected Collection<JpaMappedSuperclass> mappedSuperclasses

### namedQueries

    protected Collection<JpaNamedQuery> namedQueries

### namedNativeQueries

    protected Collection<JpaNamedNativeQuery> namedNativeQueries

### sqlResultSetMappings

    protected Collection<JpaSqlResultSetMapping> sqlResultSetMappings

### sequenceGenerators

    protected Collection<JpaSequenceGenerator> sequenceGenerators

### tableGenerators

    protected Collection<JpaTableGenerator> tableGenerators

Constructor Detail

### JpaEntityMap

    public JpaEntityMap()

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getEntity

    public JpaEntity getEntity(String className)

### getManagedClass

    public JpaManagedClass getManagedClass(String className)

  Returns an existing managed class, or null if no match is found.

### getManagedClasses

    public Map<String,JpaClassDescriptor> getManagedClasses()

  Compiles and returns a map of managed class descriptors that includes descriptors for entities, managed superclasses and embeddables. Note that class name key in the map uses slashes, not dots, to separate package components.

### entityForClass

    public JpaEntity entityForClass(Class<?> entityClass)

  Returns a JpaEntity describing a given persistent class.

### entityForClass

    public JpaEntity entityForClass(String entityClassName)

  Returns a JpaEntity describing a given persistent class.

### embeddableForClass

    public JpaEmbeddable embeddableForClass(Class<?> embeddableClass)

  Returns a JpaEmbeddable describing a given embeddable class.

### embeddableForClass

    public JpaEmbeddable embeddableForClass(String embeddableClassName)

  Returns a JpaEmbeddable describing a given embeddable class.

### getAccess

    public AccessType getAccess()

### setAccess

    public void setAccess(AccessType access)

### getCatalog

    public String getCatalog()

### setCatalog

    public void setCatalog(String catalog)

### getPackageName

    public String getPackageName()

### setPackageName

    public void setPackageName(String packageProperty)

### getSchema

    public String getSchema()

### setSchema

    public void setSchema(String schema)

### getEmbeddables

    public Collection<JpaEmbeddable> getEmbeddables()

### getEntities

    public Collection<JpaEntity> getEntities()

### getMappedSuperclasses

    public Collection<JpaMappedSuperclass> getMappedSuperclasses()

### getNamedNativeQueries

    public Collection<JpaNamedNativeQuery> getNamedNativeQueries()

### getNamedQueries

    public Collection<JpaNamedQuery> getNamedQueries()

### getSequenceGenerators

    public Collection<JpaSequenceGenerator> getSequenceGenerators()

### getSqlResultSetMappings

    public Collection<JpaSqlResultSetMapping> getSqlResultSetMappings()

### getTableGenerators

    public Collection<JpaTableGenerator> getTableGenerators()

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getPersistenceUnitMetadata

    public JpaPersistenceUnitMetadata getPersistenceUnitMetadata()

### setPersistenceUnitMetadata

    public void setPersistenceUnitMetadata(JpaPersistenceUnitMetadata persistenceUnitMetadata)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.